Get a list of all coupon codes - Fabric
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get a list of all coupon codes
cURL
curl --request GET \
--url 'https://live.copilot.fabric.inc/api-offers/coupon-codes?size=10' \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
import requests
url = "https://live.copilot.fabric.inc/api-offers/coupon-codes?size=10"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://live.copilot.fabric.inc/api-offers/coupon-codes?size=10', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
- 200: OK
{
"query": {
"limit": 10,
"offset": 0,
"count": 50
},
"promos": [
{
"_id": "abcdefg1ee7ce20123456789",
"promoId": 100013,
"promoCodes": [
"SUMMER100",
"SUMMER20"
],
"promoCount": 1,
"state": "SCHEDULED",
"isImplicit": false,
"title": "CREATE PROMO",
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-25T14:15:22Z",
"isExclusive": true,
"eligiblePriceList": [
10000056
],
"level": 1,
"stackingType": "STACKABLE",
"updatedAt": "2019-08-20T14:15:22Z"
}
]
}
{
"code": "BAD_REQUEST",
"message": "Bad Request"
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}
Authorizations
Authorization is required in the header in the following format:
- Bearer
Bearer <token>: where<token>is your auth token.
Headers
- x-site-context: JSON object containing information about the source you wish to pull from.
Query Parameters
- size: Integer setting the number of records returned (default is 10).
- Various filters including
startCursor,userId,promotionId,promoCode,status, among others.